'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var PropTypes = require('prop-types');
var styledTools = require('styled-tools');
var __chunk_4 = require('./chunk-5814b5fa.js');
var styled = require('./styled.js');
var use = require('./use.js');
var Overlay = require('./Overlay.js');
var __chunk_8 = require('./chunk-aa4a91c3.js');
require('styled-components');
require('reuse');
require('./Hidden.js');
require('react-dom');
require('./chunk-b4ae9232.js');
require('./chunk-f0c301b2.js');
require('./chunk-25591e69.js');
require('./Box.js');
require('@emotion/is-prop-valid');
require('./chunk-9ddd950d.js');
require('constate');
require('./chunk-2aaf90c8.js');

var SidebarComponent = function SidebarComponent(props) {
  return React.createElement(Overlay.default, __chunk_1._extends({
    defaultSlide: props.align === "right" ? "left" : "right"
  }, props));
};

var Sidebar = styled.default(__chunk_4.hoist(SidebarComponent, Overlay.default)).withConfig({
  displayName: "Sidebar",
  componentId: "sc-1ujdgs6-0"
})(["top:0;height:100vh;transform:none;overflow:auto;left:", ";right:", ";", ";"], styledTools.ifProp({
  align: "right"
}, "auto", 0), styledTools.ifProp({
  align: "right"
}, 0, "auto"), styledTools.theme("Sidebar")); // @ts-ignore

Sidebar.propTypes = {
  align: PropTypes.oneOf(["left", "right"])
};
Sidebar.defaultProps = {
  align: "left",
  translateX: 0,
  translateY: 0
};
var Sidebar$1 = use.default(Sidebar, "div");

var SidebarContainer = __chunk_8.OverlayContainer;

var SidebarToggle = styled.default(__chunk_8.OverlayToggle).withConfig({
  displayName: "SidebarToggle",
  componentId: "sc-1ldhjpz-0"
})(["", ";"], styledTools.theme("SidebarToggle"));
var SidebarToggle$1 = use.default(SidebarToggle, "button");

var SidebarShow = styled.default(__chunk_8.OverlayShow).withConfig({
  displayName: "SidebarShow",
  componentId: "sc-1jmdl92-0"
})(["", ";"], styledTools.theme("SidebarShow"));
var SidebarShow$1 = use.default(SidebarShow, "button");

var SidebarHide = styled.default(__chunk_8.OverlayHide).withConfig({
  displayName: "SidebarHide",
  componentId: "sc-1wp4kne-0"
})(["", ";"], styledTools.theme("SidebarHide"));
var SidebarHide$1 = use.default(SidebarHide, "button");

var index = Object.assign(Sidebar$1, {
  Container: SidebarContainer,
  Toggle: SidebarToggle$1,
  Show: SidebarShow$1,
  Hide: SidebarHide$1
});

exports.default = index;
