'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var PropTypes = require('prop-types');
var styledTools = require('styled-tools');
var __chunk_4 = require('./chunk-5814b5fa.js');
var styled = require('./styled.js');
var use = require('./use.js');
var Hidden = require('./Hidden.js');
var __chunk_7 = require('./chunk-2aaf90c8.js');
var __chunk_10 = require('./chunk-ca444c3f.js');
require('styled-components');
require('reuse');
require('react-dom');
require('./chunk-b4ae9232.js');
require('./chunk-f0c301b2.js');
require('./chunk-25591e69.js');
require('./Box.js');
require('@emotion/is-prop-valid');
require('./chunk-9ddd950d.js');
require('constate');

var StepComponent =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(StepComponent, _React$Component);

  function StepComponent(props) {
    var _this;

    _this = _React$Component.call(this, props) || this;
    var _this$props = _this.props,
        register = _this$props.register,
        step = _this$props.step,
        order = _this$props.order;
    register(step, order);
    return _this;
  }

  var _proto = StepComponent.prototype;

  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    var _this$props2 = this.props,
        step = _this$props2.step,
        update = _this$props2.update,
        order = _this$props2.order;

    if (prevProps.step !== step || prevProps.order !== order) {
      update(prevProps.step, step, order);
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    var _this$props3 = this.props,
        step = _this$props3.step,
        unregister = _this$props3.unregister;
    unregister(step);
  };

  _proto.render = function render() {
    var _this$props4 = this.props,
        isCurrent = _this$props4.isCurrent,
        step = _this$props4.step;
    return React.createElement(Hidden.default, __chunk_1._extends({
      unmount: true,
      visible: isCurrent(step)
    }, this.props));
  };

  return StepComponent;
}(React.Component);

var Step = styled.default(__chunk_4.hoist(StepComponent, Hidden.default)).withConfig({
  displayName: "Step",
  componentId: "sc-1b10ris-0"
})(["", ";"], styledTools.theme("Step")); // @ts-ignore

Step.propTypes = {
  step: PropTypes.string.isRequired,
  register: PropTypes.func.isRequired,
  update: PropTypes.func.isRequired,
  unregister: PropTypes.func.isRequired,
  isCurrent: PropTypes.func.isRequired,
  order: PropTypes.number
};
var Step$1 = use.default(Step, "div");

var toggle = function toggle(props) {
  return function () {
    return props.toggle && props.toggle(props.step);
  };
};

var StepToggleComponent = function StepToggleComponent(props) {
  return React.createElement(__chunk_7.HiddenToggle, __chunk_1._extends({}, props, {
    toggle: toggle(props)
  }));
};

var StepToggle = styled.default(__chunk_4.hoist(StepToggleComponent, __chunk_7.HiddenToggle)).withConfig({
  displayName: "StepToggle",
  componentId: "sc-73h2vf-0"
})(["", ";"], styledTools.theme("StepToggle")); // @ts-ignore

StepToggle.propTypes = {
  toggle: PropTypes.func.isRequired,
  step: PropTypes.string.isRequired
};
var StepToggle$1 = use.default(StepToggle, "button");

var show = function show(props) {
  return function () {
    return props.show && props.show(props.step);
  };
};

var StepShowComponent = function StepShowComponent(props) {
  return React.createElement(__chunk_7.HiddenShow, __chunk_1._extends({}, props, {
    show: show(props)
  }));
};

var StepShow = styled.default(__chunk_4.hoist(StepShowComponent, __chunk_7.HiddenShow)).withConfig({
  displayName: "StepShow",
  componentId: "rrfdz6-0"
})(["", ";"], styledTools.theme("StepShow")); // @ts-ignore

StepShow.propTypes = {
  show: PropTypes.func.isRequired,
  step: PropTypes.string.isRequired
};
var StepShow$1 = use.default(StepShow, "button");

var StepHide = styled.default(__chunk_7.HiddenHide).withConfig({
  displayName: "StepHide",
  componentId: "sc-1uq7y3z-0"
})(["", ";"], styledTools.theme("StepHide"));
var StepHide$1 = use.default(StepHide, "button");

var Step$2 = Object.assign(Step$1, {
  Container: __chunk_10.StepContainer,
  Toggle: StepToggle$1,
  Show: StepShow$1,
  Hide: StepHide$1,
  Next: __chunk_10.StepNext,
  Previous: __chunk_10.StepPrevious
});

exports.default = Step$2;
